Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface IMethodInfo

All Superinterfaces:
  ILocalizableInfo

All Known Subinterfaces:
  ITemplateMethodInfo

All Known Implementing Classes:
  ConstructorInfo, MethodInfo, MethodInfo, TemplateMethodInfo

    public interface IMethodInfo

extends ILocalizableInfo

Represents the method information for both class and element. The class includes the argument list, return type, and whether this method is static or constructor,

Method Summary
`java.util.Iterator<IArgumentInfoList>` | `argumentListIterator()` Returns the iterator of argument definition.
`IClassInfo` | `getClassReturnType()` Returns the script type for return.
`java.lang.String` | `getJavaDoc()` Returns the method javadoc.
`java.lang.String` | `getReturnType()` Returns the script type for return.
`java.lang.String` | `getToolTip()` Returns the display string for the tool tip of this method.
`java.lang.String` | `getToolTipKey()` Returns the resource key for tool tip.
`boolean` | `isConstructor()` Returns whether this method is constructor.
`boolean` | `isStatic()` Returns whether this method is static.

Methods inherited from interface org.eclipse.birt.report.model.api.metadata.ILocalizableInfo
`getDisplayName, getDisplayNameKey, getName`

Method Detail

### argumentListIterator

    java.util.Iterator<IArgumentInfoList> argumentListIterator()

  Returns the iterator of argument definition. Each one is a list that contains `IArgumentInfoList`.

  Returns:
    iterator of argument definition.

### getReturnType

    java.lang.String getReturnType()

  Returns the script type for return.

  Returns:
    the script type for return

### getClassReturnType

    IClassInfo getClassReturnType()

  Returns the script type for return.

  Returns:
    the script type for return

### getToolTipKey

    java.lang.String getToolTipKey()

  Returns the resource key for tool tip.

  Specified by:
    `getToolTipKey` in interface `ILocalizableInfo`
  Returns:
    the resource key for tool tip

### getToolTip

    java.lang.String getToolTip()

  Returns the display string for the tool tip of this method.

  Specified by:
    `getToolTip` in interface `ILocalizableInfo`
  Returns:
    the user-visible, localized display name for the tool tip of this method.

### isConstructor

    boolean isConstructor()

  Returns whether this method is constructor.

  Returns:
    true, if this method is constructor

### isStatic

    boolean isStatic()

  Returns whether this method is static.

  Returns:
    true if this method is static

### getJavaDoc

    java.lang.String getJavaDoc()

  Returns the method javadoc.

  Returns:
    the javadoc

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.